Make docs.theforeman.org the official Foreman and Katello documentation space

07/28/2021 03:57 PM - Melanie Corr

Status: New % Done: 0%

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Description

In the lead up to the release of Foreman 3.0, I want to make preparations so that docs.theforeman.org becomes the main space for

Foreman and Katello community documentation.

To do this, there are a number of items that need to be completed, many of which are in progress:

1. Ensure parity of doc coverage https://community.theforeman.org/t/foreman-manual-reboot/22606 - this is a work in progress that I

will prioritise now

2. Ensure proper handling of release notes: https://github.com/theforeman/foreman-documentation/pull/618

3. Ensure that the Foreman website and infrastructure points to the new locations, for example: 

https://community.theforeman.org/t/katello-org-pointing-at-old-katello-docs/24506 among others.

Feel free to add comments with other considerations. I will as I learn of them.

History

#1 - 08/05/2021 07:30 AM - Tomer Brisker

We would also need to update the documentation links from inside the foreman application that currently point to the old manual.

#2 - 08/08/2021 11:28 AM - Tomer Brisker

- Fixed in Releases deleted (3.0.0)

#3 - 08/23/2021 12:01 PM - Amit Upadhye

- Target version changed from 3.0.0 to 3.1.0

Moving this to next release as this is expected to be completed by 3.1

#4 - 10/06/2021 05:21 PM - Amit Upadhye

- Target version deleted (3.1.0)
